﻿using System;
using System.Web;

namespace HttpHandlers.Components
{
    public class SimpleHandler : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            const String htmlTemplate = "<html><head><title>HTTP handler</title></head><body>" +
                                        "<h1>Hello, I'm an HTTP handler : " + 
                                        "<span style='color:blue'>{0}</span></h1>" + 
                                        "</body></html>";
            var response = string.Format(htmlTemplate, context.Request.Path);
            context.Response.Write(response);
        }

        public bool IsReusable
        {
            get { return false; }
        }
    }
}