﻿using System;
using System.Linq;
using System.Web.Mvc;
using MultiArea.Views;
using Northwind.DAL;
using Northwind.Model;


namespace MultiArea.Areas.Reports.Controllers
{
    public class CustomerController : Controller
    {
        public ActionResult Stat(String selectedCustomer)
        {
            // Perform the task
            var context = new NorthwindEntities();
            var customers = (from c in context.Customers
                             select c).ToList();
            var data = context.GetCustomerOrderHistory(selectedCustomer);

            // Prepare the view dictionary, then render the view
            ViewData[ViewDataEntries.Results] = data;
            ViewData[ViewDataEntries.Customers] = customers;
            return View();
        }

    }
}
