﻿using System.Web.Mvc;
using MultiArea.Common;
using MultiArea.Views;


namespace MultiArea.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData[ViewDataEntries.Welcome] = AppResources.WelcomeMessage;
            ViewData[ViewDataEntries.AppName] = GetType().Assembly.GetName().Name;
            return View();
        }

        public ActionResult Todo()
        {
            return View();
        }
    }
}
