﻿<%@ Page Language="C#" 
         MasterPageFile="~/Views/Shared/Site.Master" 
         Inherits="System.Web.Mvc.ViewPage<IList<GridDemo.Models.City>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%: ViewBag.Header %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%: ViewBag.Header %></h2>
    <hr />

    <table>
        <thead>
        <th>City</th>
        <th>Country</th>
        <th>Been there?</th>
        </thead>
    <% foreach (var city in Model)
       {%>
       <tr>
        <td><%: city.Name %></td>
        <td><%: city.Country %></td>
        <td><%: city.Visited ?"Yes" : "No"%></td>
       </tr>
    <%
       }%>
    </table>
</asp:Content>
