﻿using System;
using System.Web.Mvc;
using MvcGallery3.Extensions.Filters;

namespace MultiLang.Controllers
{
    public class LanguageController : Controller
    {
        public void Set(String lang)
        {
            // Set culture to use next
            CultureAttribute.SavePreferredCulture(HttpContext.Response, lang);

            // Return to the calling URL (or go to the site’s home page)
            HttpContext.Response.Redirect(HttpContext.Request.UrlReferrer.AbsolutePath);
        }
    }
}
