using System;

namespace MvcGallery3.Extensions.Html.Grid
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = true, Inherited = false)]
    public sealed class TransformerAttribute : Attribute
    {
        private readonly Type _transformerType;

        public TransformerAttribute(Type transformerType)
        {
            _transformerType = transformerType;
        }

        public Type Transformer 
        {
            get { return _transformerType; }
        }
    }
}