﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="AsyncApp.Views"%>


<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Async controllers 
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        <%= Html.Encode(ViewData[ViewDataEntries.Welcome])%> :: 
        <span class="highlight1"><%= Html.Encode(ViewData[ViewDataEntries.AppName])%></span>
        <hr />
    </h2>

    <ul>
        <li><%= Html.ActionLink("Invoke a method asynchronously.", "Lookup", "Home", new {Id = 2}, null) %></li>
        <li><%= Ajax.ActionLink("Invoke a method asynchronously (+ AJAX).", "Lookup", "Home", 
                new {Id = 5}, new AjaxOptions{ LoadingElementId="lblPleaseWait", UpdateTargetId="lblOutput" }) %></li>
        <li><%= Html.ActionLink("Tennis news", "TennisNews", "Home") %></li>
        <li><%= Html.ActionLink("Tennis news (mediator)", "Tennis", "news") %></li>
    </ul>
    
    <div id="lblPleaseWait" style="display:none;color:red">Please wait ...</div>
    <hr />
    <p>The output below is the result of a AJAX-powered async action.</p>    
    <div id="lblOutput"></div>
    
</asp:Content>
