﻿using System.Linq;
using System.Web.Mvc;
using Northwind.DAL;


namespace MultiArea.Areas.Store.Controllers
{
    public class ProductController : Controller
    {
        public ActionResult Find(int id)
        {
            // Retrieve data
            var context = new NorthwindEntities();
            var product = (from p in context.Products
                           where p.ProductID == id
                           select p).FirstOrDefault();

            // Prepare the view model
            return View("Details", product);
        }

    }
}
