﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MultiArea.Areas.Store.Models.CustomerDetailsViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Details
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="text-align:right">
        <span class="highlight1">
            <!-- Current area -->
            <%= ViewContext.RouteData.DataTokens["area"] %>
        </span>
    </div>
    
    <fieldset>
        <legend>Customer's Details</legend>
        <div class="insideFieldset">
            <table cellpadding="4" cellspacing="0" frame="below">
                <tr>
                    <td class="labelTableItem" width="100px">ID</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.Customer.CustomerID %></td>
                </tr>   
                <tr>
                    <td class="labelTableItem" width="100px">Company</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.Customer.CompanyName %></td>
                </tr>   
                <tr>                 
                    <td class="labelTableItem" width="100px">Address</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.Customer.Address %></td>
                </tr>
                <tr>
                    <td class="labelTableItem" width="100px">Country</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.Customer.Country %></td>                    
                </tr>
                <tr>
                    <td class="labelTableItem" width="100px">Orders placed</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.OrderCount %></td>                    
                </tr>
            </table>
        </div>
    </fieldset>

</asp:Content>

