﻿<%@ Page Language="C#" 
         MasterPageFile="~/Views/Shared/Site.Master" 
         Inherits="System.Web.Mvc.ViewPage<PagedViewModel<GridDemo.Models.City>>" %>
<%@ Import Namespace="GridDemo.Common" %>
<%@ Import Namespace="MvcGallery3.Extensions.Html" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%: ViewBag.Header %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%: ViewBag.Header %></h2>
    <hr />

    <span>Generated using a pager (and a plain HTML helper)</span>
    <%: Html.Pager("pager1", Model.ItemCount, Model.PageSize, "/home/pager", Model.PageIndex) %>
    <%: Html.Table(Model.DataSource) %>
    <hr />
    <span>Generated using a pager (and a generic grid helper)</span>
    <%: Html.Pager("pager2", Model.ItemCount, Model.PageSize, "/home/pager", Model.PageIndex) %>
    <%: Html.SimpleGrid(Model.DataSource) %>
</asp:Content>
