using System;
using System.Web.Mvc;

namespace Helpers.Common
{
    public static class OptionalTexttHelpers
    {
        public static MvcHtmlString OptionalText(this HtmlHelper helper,
                String text,
                String format = "{0}",
                String alternateText = "",
                String alternateFormat = "{0}")
        {
            var actualText = text;
            var actualFormat = format;

            if (String.IsNullOrEmpty(actualText))
            {
                actualText = alternateText;
                actualFormat = alternateFormat;
            }

            return MvcHtmlString.Create(String.Format(actualFormat, actualText));
        }
    }
}