﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<script type="text/javascript">
    $(document).ready(function () {
        $("#btnView").click(function () {
            var engines = $("#engineList").val();
            $.get('home/details?engineList=' + engines, function (data) {
                $('#Results').html(data); 
            });
        });
    })
</script>


    <h2><%: ViewBag.Message %></h2>
    <p>
        <span>Using Html.TextBox</span><br />
        <%: Html.TextBox("TextBox1", ViewData["DefaultText"], 
                new Dictionary<String, Object>{{"class", "foo"}}) %>
    </p>

    <p>
    <span>Using Html.TextBoxFor</span><br />
    <%: Html.TextBoxFor(m => ViewData["DefaultText"], 
                        new Dictionary<String, Object>{{"class", "foo"}}) %>
    </p>

    <p>
        <span>Currently registered view engines</span><br />
        <%: Html.ListBox("engineList", new SelectList(ViewBag.EngineList)) %>
        <input id="btnView" type="submit" value="Location formats" />
    </p>
    <div id="Results"></div>
</asp:Content>
