using System;
using System.ComponentModel;
using MvcGallery3.Extensions.Html;
using MvcGallery3.Extensions.Html.Grid;

namespace GridDemo.Models
{
    public class City
    {
        [Description("City")]
        public String Name { get; set; }
        
        public String Country { get; set; }

        [Description("Been there?")]
        [Transformer(typeof(YesNoTransformer))]
        public Boolean Visited { get; set; }
    }
}