using System;
using AgenderWeb.ViewModels;

namespace AgenderWeb.WorkerServices
{
    public interface IScheduleServices
    {
        MainMenuViewModel GetContentForMainMenu();
        DayViewModel GetContentForDay(Int32 index);
        SessionViewModel GetSessionDetails(String id, Int32 returnIndex);
        SpeakersViewModel GetSpeakers();
        SpeakerViewModel GetSpeakerAndSessions(String id);
    }
}