using System;
using eTennisConf.ViewModels;

namespace eTennisConf.WorkerServices
{
    public interface IScheduleServices
    {
        MainMenuViewModel GetContentForMainMenu();
        DayViewModel GetContentForDay(Int32 index);
        SessionViewModel GetSessionDetails(String id);  
        SpeakersViewModel GetSpeakers();
        SpeakerViewModel GetSpeakerAndSessions(String id);
    }
}